Someone got my email along with the person I addressed it to.

VERIFIED WORKSFORME

Status

VERIFIED WORKSFORME
18 years ago
14 years ago

People

(Reporter: jcarpenter0524, Assigned: racham)

Tracking

Trunk
Future
x86
Windows 2000

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

18 years ago
I sent an email to my friend, and got responses from him and from another 
person.

Here is the email with headers that I sent (copied from my sent box - I've 
starred out part of his email address for his privacy, his address is not at 
netscape):

================

Message-ID: 
                         <3B462476.805@netscape.com>
                    Date: 
                         Fri, 06 Jul 2001 13:49:58 -0700
                    From: 
                         Jan Carpenter <janc@netscape.com>
             Organization: 
                         Netscape Communications
               User-Agent: 
                         Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.2) 
Gecko/20010705
                         Netscape6/6.1
        X-Accept-Language: 
                         en-us
            MIME-Version: 
                         1.0
                      To: 
                         Deepsky the Magnificent <deepsky@netw**.***>
                  Subject: 
                         ?
             Content-Type: 
                         text/html; charset=us-ascii
 Content-Transfer-Encoding: 
                         7bit




Who sings "Pretty Girl"?

========================

And here is a response I got from Deep Singh at Netscape who received my email 
even though he is not on the address list:


============

Return-Path: 
                         <deep@netscape.com>
                 Received: 
                         from netscape.com ([192.18.115.158]) by dredd.mcom.com 
(Netscape
                         Messaging Server 4.15) with ESMTP id GGL8B700.6D1 for
                         <janc@netscape.com>; Mon, 16 Jul 2001 15:40:19 -0700
              Message-ID: 
                         <3B536D6C.CC527ACF@netscape.com>
                    Date: 
                         Mon, 16 Jul 2001 15:40:44 -0700
                    From: 
                         deep@netscape.com (Deep Singh)
                 X-Mailer: 
                         Mozilla 4.7 [en] (WinNT; U)
        X-Accept-Language: 
                         en
            MIME-Version: 
                         1.0
                      To: 
                         Jan Carpenter <janc@netscape.com>
                  Subject: 
                         Re: ?
               References: 
                         <3B46244E.2060809@netscape.com>
             Content-Type: 
                         text/html; charset=us-ascii
 Content-Transfer-Encoding: 
                         7bit




Corliss Lamont or Ani DiFranco or David Lindley 

Jan Carpenter wrote: 

  Who sings "Pretty Girl"?


===========

I've been trying to recreate this incident, but as yet haven't been able to.

My best guess is that this is a security bug, so please reassign it if it isn't. 
 Thanks!
From what ckritzer told me, it sounds like typing 'deep' in the To field
autocompleted to deep@netscape.com even though Jan has 'deep' as an entry in her
address book. Reassigning to Address Book.
Assignee: mstoltz → chuang
Component: Security: General → Address Book
QA Contact: junruh → fenella
(Reporter)

Comment 2

18 years ago
But I didn't have "deep" in my addressbook at the time.  And deep@netscape.com
wasn't on the email that was sent...

Is it possible that this was a fluke problem with the mail system, and not a bug
of the browser?
Yes, I think that's entirely possible. If it doesn't happen again then I'm
inclined to call it a fluke of the mail server.

Updated

18 years ago
QA Contact: fenella → nbaca

Comment 4

18 years ago
reassigning to racham.
Assignee: chuang → racham
(Assignee)

Comment 5

17 years ago
Ninoschka,

Can you try with couple of entries in your address book ?

I think this is a WORKSFORME case.

Status: NEW → ASSIGNED
Target Milestone: --- → Future

Comment 6

17 years ago
Trunk build 2001-12-03-03:WinMe
Marking Worksforme. Jan, if you have seen this problem recently then please let
us know.
(Assignee)

Comment 7

17 years ago
Looks like Ninoschka missed marking this WFM. Marking so now.
Status: ASSIGNED → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → WORKSFORME

Comment 8

17 years ago
Verified Worksforme.
Status: RESOLVED → VERIFIED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.